Subject: Re: bug#26009: libpng-apng

From: Kei Kebreau <[email-masked]>
Date: Fri, 17 Mar 2017 11:37:59 -0400

ng0 <[email-masked]> writes:

> Kei Kebreau transcribed 1.3K bytes:
>> [email-masked] (Ludovic Courtès) writes:
>> 
>> > Good morning!
>> >
>> 
>> Howdy! :-)
>> 
>> > Kei Kebreau <[email-masked]> skribis:
>> >
>> >> From 76e4bec9f8313adc6a78d3ae571ccea489c97848 Mon Sep 17 00:00:00 2001
>> >> From: ng0 <[email-masked]>
>> >> Date: Tue, 10 Jan 2017 20:49:30 +0000
>> >> Subject: [PATCH] gnu: Add libpng-apng.
>> >> To: [email-masked]
>> >>
>> >> * gnu/packages/image.scm (libpng-apng): New variable.
>> >>
>> >> Signed-off-by: Kei Kebreau <[email-masked]>
>> >
>> > [...]
>> >
>> >> +         (add-before 'configure 'no-checks
>> >> +           (lambda _
>> >> +             (substitute* "Makefile.in"
>> >> +               (("^scripts/symbols.chk") "")
>> >> +               (("check: scripts/symbols.chk") ""))
>> >> +             (zero? (system* "libtool"))
>> >> +             #t)))))
>> >
>> > Do you really want to run ‘libtool’ here?  I think that doesn’t have any
>> > effect:
>> >
>> > $ libtool
>> > Usage: /home/ludo/.guix-profile/bin/libtool [OPTION]... [MODE-ARG]...
>> > Try 'libtool --help' for more information.
>> > libtool:   error: you must specify a MODE
>> >
>> 
>> ng0 had some adjustments to make to the patch for sending it upstream,
>> so I'm waiting for a response. Perhaps removing this libtool execution
>> is one of them.
>
> On the one hand I wanted to check on this, but on the other hand it
> looks like you have already solved most or all of the problems?
> I decided to take an almost-vacation for 3 weeks, just plan and document
> and maybe add some thoughts to patches which are open, minimal work.
> If it looks good for you and it works, please gp ahead (and add the
> Co-authored-by line).
>
> Thanks for your fixes on this :)
>

You're welcome. Thanks to Ludovic as well for pointing out the
replacement issue.

>> > If there’s nothing else blocking this patch, I think you can go ahead.
>> >
>> > Thanks,
>> > Ludo’.
>> 
>> Thank you. I'll push it when I get the okay from ng0.

Pushed to master!